# Type Alias WorkflowTraceCfg

type WorkflowTraceCfg = {
context: any;
elapsed: number;
error?: string;
id?: number;
run_id: number;
status: "Pending" | "Running" | "Finished" | "Waiting" | "Error";
step_name_run: string;
step_started_at: Date;
user_id?: number;
wait_info?: any;
}

- Defined in model-abstracts/abstract_workflow_trace.ts:1

##### Index

### Properties

context
elapsed
error?
id?
run_id
status
step_name_run
step_started_at
user_id?
wait_info?

## Properties

### context

context: any

- Defined in model-abstracts/abstract_workflow_trace.ts:4

### elapsed

elapsed: number

- Defined in model-abstracts/abstract_workflow_trace.ts:8

### `Optional` error

error?: string

- Defined in model-abstracts/abstract_workflow_trace.ts:10

### `Optional` id

id?: number

- Defined in model-abstracts/abstract_workflow_trace.ts:2

### run_id

run_id: number

- Defined in model-abstracts/abstract_workflow_trace.ts:3

### status

status: "Pending" | "Running" | "Finished" | "Waiting" | "Error"

- Defined in model-abstracts/abstract_workflow_trace.ts:11

### step_name_run

step_name_run: string

- Defined in model-abstracts/abstract_workflow_trace.ts:5

### step_started_at

step_started_at: Date

- Defined in model-abstracts/abstract_workflow_trace.ts:7

### `Optional` user_id

user_id?: number

- Defined in model-abstracts/abstract_workflow_trace.ts:9

### `Optional` wait_info

wait_info?: any

- Defined in model-abstracts/abstract_workflow_trace.ts:6